﻿Imports FarPoint.Win.Spread
Imports FarPoint.Win.Spread.Model

Public Class Form1

  
    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        FpSpread1.SelectionBlockOptions = SelectionBlockOptions.Rows
        FpSpread1.Sheets(0).SelectionPolicy = SelectionPolicy.MultiRange
        FpSpread1.Sheets(0).AlternatingRows.Count = 3
        FpSpread1.Sheets(0).AlternatingRows(0).BackColor = Color.WhiteSmoke
        FpSpread1.Sheets(0).AlternatingRows(0).ForeColor = Color.Red
        FpSpread1.Sheets(0).AlternatingRows(1).BackColor = Color.White
        FpSpread1.Sheets(0).AlternatingRows(1).ForeColor = Color.Black
        FpSpread1.Sheets(0).AlternatingRows(2).BackColor = Color.White
        FpSpread1.Sheets(0).AlternatingRows(2).ForeColor = Color.Blue
    End Sub

    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
        If FpSpread1.ActiveSheet.SelectionCount > 0 Then

            Dim sv As SheetView

            'Copy ActiveSheet
            sv = FarPoint.Win.Serializer.LoadObjectXml(GetType(FarPoint.Win.Spread.SheetView), FarPoint.Win.Serializer.GetObjectXml(FpSpread1.ActiveSheet, "CopySheet"), "CopySheet")
            sv.SheetName = "CopySheet"

            For _rowIndex = FpSpread1.ActiveSheet.RowCount - 1 To 0 Step -1

                If (Not FpSpread1.ActiveSheet.IsAnyCellInRowSelected(_rowIndex)) Then
                    sv.Rows(_rowIndex).Visible = False 'Set Visible 'False' when row is not selected
                End If
            Next

            '
            'Write the following code if you want Selected rows with sequence numbering
            '
            Dim count As Integer = 1
            For _rowIndex = 0 To sv.RowCount - 1

                If (sv.Rows(_rowIndex).Visible) Then
                    sv.Rows(_rowIndex).Label = count.ToString()
                    count = count + 1
                End If
            Next


            'Print new created sheet
            sv.PrintInfo.Centering = Centering.Horizontal
            sv.PrintInfo.Preview = True
            FpSpread1.PrintSheet(sv)
        Else
            MessageBox.Show("There is no row selected. Please select the row(s) first.")
        End If
    End Sub
End Class
